package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import java.io.*;
import java.net.*;
public class Fur_System {
public static String getDiskPOURCENTSpaceFree(String PaDrive) {
  return Fur_Math.getPourcent(getFreeDiskSpace(PaDrive), getTotalDiskSpace(PaDrive));
}
public static String getDiskPOURCENTSpaceUsed(String PaDrive) {
  return Fur_Math.getPourcent(getUsableDiskSpace(PaDrive), getTotalDiskSpace(PaDrive));
}
public static String getDriveList(String PaSeparator) {
  File[] drives = File.listRoots();
  String DriveList = "";
  for (int i = 0; i < drives.length; i++)
    DriveList+=PaSeparator+drives[i];
  return DriveList.substring(1);
}
public static String getFileSeparator() {
  return System.getProperty("file.separator");
}
public static String getFreeDiskSpace(String PaDrive) {
  File f = new File(PaDrive);
  return ""+f.getFreeSpace();
}
public static String getFreeDiskSpaceGo(String PaDrive) {
  return Fur_Math.getOctetToGo(Fur_System.getFreeDiskSpace(PaDrive));
}
public static String getFreeDiskSpaceKo(String PaDrive) {
  return Fur_Math.getOctetToKo(Fur_System.getFreeDiskSpace(PaDrive));
}
public static String getFreeDiskSpaceMo(String PaDrive) {
  return Fur_Math.getOctetToMo(Fur_System.getFreeDiskSpace(PaDrive));
}
public static String getFreeMemory() {
  Runtime runtime = Runtime.getRuntime();
  return ""+runtime.freeMemory();
}
public static String getHostName() {
  String HostName = "";
  try {
    HostName = InetAddress.getLocalHost().getHostName();
 }
  catch (Exception e) { Fur_File.Trace("ERROR: Fur_System.GetHostName: "+e.getMessage());};
  return HostName;
}
public static String getJavaClassPath() {
  return System.getProperty("java.class.path");
}
public static String getJavaClassVersion() {
  return System.getProperty("java.class.version");
}
public static String getJavaCompiler() {
  return System.getProperty("java.compiler");
}
public static String getJavaExtDirs() {
  return System.getProperty("java.ext.dirs");
}
public static String getJavaHome() {
  return System.getProperty("java.home");
}
public static String getJavaIOTmpDir() {
  return System.getProperty("java.io.tmpdir");
}
public static String getJavaLibraryPath() {
  return System.getProperty("java.library.path");
}
public static String getJavaSpecificationName() {
  return System.getProperty("java.specification.name");
}
public static String getJavaSpecificationVendor() {
  return System.getProperty("java.specification.vendor");
}
public static String getJavaSpecificationVersion() {
  return System.getProperty("java.specification.version");
}
public static String getJavaVendor() {
  return System.getProperty("java.vendor");
}
public static String getJavaVendorURL() {
  return System.getProperty("java.vendor.url");
}
public static String getJavaVersion() {
  return System.getProperty("java.version");
}
public static String getJavaVmName() {
  return System.getProperty("java.vm.name");
}
public static String getJavaVmSpecificationName() {
  return System.getProperty("java.vm.specification.name");
}
public static String getJavaVmSpecificationVendor() {
  return System.getProperty("java.vm.specification.vendor");
}
public static String getJavaVmSpecificationVersion() {
  return System.getProperty("java.vm.specification.version");
}
public static String getJavaVmVendor() {
  return System.getProperty("java.vm.vendor");
}
public static String getJavaVmVersion() {
  return System.getProperty("java.vm.version");
}
public static String getLineSeparator() {
  return System.getProperty("line.separator");
}
public static String getMaxMemory() {
  Runtime runtime = Runtime.getRuntime();
  return ""+runtime.maxMemory();
}
public static String getMemoryPOURCENTSpaceFree() {
  return Fur_Math.getPourcent(getFreeMemory(), getTotalMemory());
}
public static String getMemoryPOURCENTSpaceUsed() {
  return Fur_Math.getPourcent(getUsableMemory(), getTotalMemory());
}
public static String getOSArchitecture() {
  return System.getProperty("os.arch");
}
public static String getOSName() {
  return System.getProperty("os.name");
}
public static String getOSVersion() {
  return System.getProperty("os.version");
}
public static String getPathSeparator() {
  return System.getProperty("path.separator");
}
public static String getTotalDiskSpace(String PaDrive) {
  File f = new File(PaDrive);
  return ""+f.getTotalSpace();
}
public static String getTotalDiskSpaceGo(String PaDrive) {
  return Fur_Math.getOctetToGo(Fur_System.getTotalDiskSpace(PaDrive));
}
public static String getTotalDiskSpaceKo(String PaDrive) {
  return Fur_Math.getOctetToKo(Fur_System.getTotalDiskSpace(PaDrive));
}
public static String getTotalDiskSpaceMo(String PaDrive) {
  return Fur_Math.getOctetToMo(Fur_System.getTotalDiskSpace(PaDrive));
}
public static String getTotalMemory() {
  Runtime runtime = Runtime.getRuntime();
  return ""+runtime.totalMemory();
}
public static String getUsableDiskSpace(String PaDrive) {
  File f = new File(PaDrive);
  return ""+(f.getTotalSpace()-f.getFreeSpace());
}
public static String getUsableDiskSpaceGo(String PaDrive) {
  return Fur_Math.getOctetToGo(Fur_System.getUsableDiskSpace(PaDrive));
}
public static String getUsableDiskSpaceKo(String PaDrive) {
  return Fur_Math.getOctetToKo(Fur_System.getUsableDiskSpace(PaDrive));
}
public static String getUsableDiskSpaceMo(String PaDrive) {
  return Fur_Math.getOctetToMo(Fur_System.getUsableDiskSpace(PaDrive));
}
public static String getUsableMemory() {
  Runtime runtime = Runtime.getRuntime();
  return ""+(runtime.totalMemory()-runtime.freeMemory());
}
public static String getUserDir() {
  return System.getProperty("user.dir");
}
public static String getUserHome() {
  return System.getProperty("user.home");
}
public static String getUserName() {
  return System.getProperty("user.name");
}
public static boolean isReservedDBSConnector(String PaName) {
  if (PaName.toUpperCase().equals("DBSCONNECTOR"))
    return true;
  else return false;
}
public static boolean isReservedWindows(String PaFolderName) {
  if (PaFolderName.toUpperCase().equals("CON"))
    return true;
  else if (PaFolderName.toUpperCase().equals("AUX"))
    return true;
  else if (PaFolderName.toUpperCase().equals("PRN"))
    return true;
  else if (PaFolderName.toUpperCase().equals("NUL"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM0"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM1"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM2"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM3"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM4"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM5"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM6"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM7"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM8"))
    return true;
  else if (PaFolderName.toUpperCase().equals("COM9"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT0"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT1"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT2"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT3"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT4"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT5"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT6"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT7"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT8"))
    return true;
  else if (PaFolderName.toUpperCase().equals("LPT9"))
    return true;
  else
    return false;
};
}
